Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui
Class PreferenceConstants

    java.lang.Object
      org.eclipse.jdt.ui.PreferenceConstants

public class PreferenceConstants
extends Object

Preference constants used in the JDT-UI preference store. Clients should only read the JDT-UI preference store using these values. Clients are not allowed to modify the preference store programmatically.

Since:
  2.0

Field Summary
`static String` | `APPEARANCE_COMPRESS_PACKAGE_NAMES` A named preference that controls if package name compression is turned on or off.
`static String` | `APPEARANCE_ENABLE_VISIBILITY_SORT_ORDER` A named preferences that controls if Java elements are also sorted by visibility.
`static String` | `APPEARANCE_FOLD_PACKAGES_IN_PACKAGE_EXPLORER` A named preference that controls if empty inner packages are folded in the hierarchical mode of the package explorer.
`static String` | `APPEARANCE_MEMBER_SORT_ORDER` A named preference that defines how member elements are ordered by the Java views using the `JavaElementSorter`.
`static String` | `APPEARANCE_METHOD_RETURNTYPE` A named preference that controls return type rendering of methods in the UI.
`static String` | `APPEARANCE_OVERRIDE_INDICATOR` Deprecated. Override Indicator is now controlled on the platform's decorator preference page
`static String` | `APPEARANCE_PKG_NAME_PATTERN_FOR_PKG_VIEW` A named preference that defines the pattern used for package name compression.
`static String` | `APPEARANCE_VISIBILITY_SORT_ORDER` A named preference that defines how member elements are ordered by visibility in the Java views using the `JavaElementSorter`.
`static String` | `BROWSING_LINK_VIEW_TO_EDITOR` A named preference that controls if the Java Browsing views are linked to the active editor.
`static String` | `BROWSING_STACK_VERTICALLY` A named preference that controls the layout of the Java Browsing views vertically.
`static String` | `CODEASSIST_ADDIMPORT` A named preference that controls if the Java code assist adds import statements.
`static String` | `CODEASSIST_AUTOACTIVATION` A named preference that controls if the Java code assist gets auto activated.
`static String` | `CODEASSIST_AUTOACTIVATION_DELAY` A name preference that holds the auto activation delay time in milliseconds.
`static String` | `CODEASSIST_AUTOACTIVATION_TRIGGERS_JAVA` A named preference that holds the characters that auto activate code assist in Java code.
`static String` | `CODEASSIST_AUTOACTIVATION_TRIGGERS_JAVADOC` A named preference that holds the characters that auto activate code assist in Javadoc.
`static String` | `CODEASSIST_AUTOINSERT` A named preference that controls if the Java code assist inserts a proposal automatically if only one proposal is available.
`static String` | `CODEASSIST_CASE_SENSITIVITY` A named preference that controls whether code assist proposals filtering is case sensitive or not.
`static String` | `CODEASSIST_FILL_ARGUMENT_NAMES` A named preference that controls if argument names are filled in when a method is selected from as list of code assist proposal.
`static String` | `CODEASSIST_GUESS_METHOD_ARGUMENTS` A named preference that controls if method arguments are guessed when a method is selected from as list of code assist proposal.
`static String` | `CODEASSIST_INSERT_COMPLETION` A named preference that controls if the Java code assist only inserts completions.
`static String` | `CODEASSIST_ORDER_PROPOSALS` A named preference that defines if code assist proposals are sorted in alphabetical order.
`static String` | `CODEASSIST_PARAMETERS_BACKGROUND` A named preference that holds the background color used for parameter hints.
`static String` | `CODEASSIST_PARAMETERS_FOREGROUND` A named preference that holds the foreground color used in the code assist selection dialog.
`static String` | `CODEASSIST_PREFIX_COMPLETION` A named preference that controls if content assist inserts the common prefix of all proposals before presenting choices.
`static String` | `CODEASSIST_PROPOSALS_BACKGROUND` A named preference that holds the background color used in the code assist selection dialog.
`static String` | `CODEASSIST_PROPOSALS_FOREGROUND` A named preference that holds the foreground color used in the code assist selection dialog.
`static String` | `CODEASSIST_REPLACEMENT_BACKGROUND` A named preference that holds the background color used in the code assist selection dialog to mark replaced code.
`static String` | `CODEASSIST_REPLACEMENT_FOREGROUND` A named preference that holds the foreground color used in the code assist selection dialog to mark replaced code.
`static String` | `CODEASSIST_SHOW_VISIBLE_PROPOSALS` A named preference that controls if code assist contains only visible proposals.
`static String` | `CODEGEN__FILE_COMMENTS` Deprecated. New code template story: user can specify the new file code template.
`static String` | `CODEGEN__JAVADOC_STUBS` Deprecated. Use CODEGEN_ADD_COMMENTS instead (Name is more precise).
`static String` | `CODEGEN__NON_JAVADOC_COMMENTS` Deprecated. New code template story: user can specify the overriding method comment.
`static String` | `CODEGEN_ADD_COMMENTS` A named preference that controls if comment stubs will be added automatically to newly created types and methods.
`static String` | `CODEGEN_EXCEPTION_VAR_NAME` A named preference that defines the preferred variable names for exceptions in catch clauses.
`static String` | `CODEGEN_GETTERSETTER_PREFIX` Deprecated. Use JavaCore preference store (key JavaCore. CODEASSIST_FIELD_PREFIXES and CODEASSIST_STATIC_FIELD_PREFIXES)
`static String` | `CODEGEN_GETTERSETTER_SUFFIX` Deprecated. Use setting from JavaCore preference store (key JavaCore. CODEASSIST_FIELD_SUFFIXES and CODEASSIST_STATIC_FIELD_SUFFIXES)
`static String` | `CODEGEN_IS_FOR_GETTERS` A named preference that controls whether to use the prefix "is" or the prefix "get" for automatically created getters which return a boolean field.
`static String` | `CODEGEN_KEYWORD_THIS` A named preference that controls whether the keyword "this" will be added automatically to field accesses in generated methods.
`static String` | `CODEGEN_USE_GETTERSETTER_PREFIX` Deprecated. Use JavaCore preference store (key JavaCore. CODEASSIST_FIELD_PREFIXES and CODEASSIST_STATIC_FIELD_PREFIXES)
`static String` | `CODEGEN_USE_GETTERSETTER_SUFFIX` Deprecated. Use JavaCore preference store (key JavaCore. CODEASSIST_FIELD_PREFIXES and CODEASSIST_STATIC_FIELD_PREFIXES)
`static String` | `DOUBLE_CLICK` A named preference that controls the behavior when double clicking on a container in the packages view.
`static String` | `DOUBLE_CLICK_EXPANDS` A string value used by the named preference `DOUBLE_CLICK`.
`static String` | `DOUBLE_CLICK_GOES_INTO` A string value used by the named preference `DOUBLE_CLICK`.
`static String` | `EDITOR_ADD_JAVADOC_TAGS` A named preference that controls whether the 'add JavaDoc tags' feature is enabled.
`static String` | `EDITOR_ALT_SHIFT_HOVER` Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static String` | `EDITOR_ANNOTATION_ROLL_OVER` A named preference that controls whether annotation roll over is used or not.
`static String` | `EDITOR_BACKGROUND_COLOR` A named preference that holds the color used as the text background.
`static String` | `EDITOR_BACKGROUND_DEFAULT_COLOR` A named preference that describes if the system default background color is used as the text background.
`static String` | `EDITOR_BOLD_SUFFIX` Preference key suffix for bold text style preference keys.
`static String` | `EDITOR_BOOKMARK_INDICATION` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_BOOKMARK_INDICATION_COLOR` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_BOOKMARK_INDICATION_IN_OVERVIEW_RULER` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_BROWSER_LIKE_LINKS` A named preference that controls if browser like links are turned on or off.
`static String` | `EDITOR_BROWSER_LIKE_LINKS_KEY_MODIFIER` A named preference that controls the key modifier for browser like links.
`static String` | `EDITOR_BROWSER_LIKE_LINKS_KEY_MODIFIER_MASK` A named preference that controls the key modifier mask for browser like links.
`static String` | `EDITOR_CLOSE_BRACES` A named preference that controls whether the 'close braces' feature is enabled.
`static String` | `EDITOR_CLOSE_BRACKETS` A named preference that controls whether the 'close brackets' feature is enabled.
`static String` | `EDITOR_CLOSE_JAVADOCS` A named preference that controls whether the 'close java docs' feature is enabled.
`static String` | `EDITOR_CLOSE_STRINGS` A named preference that controls whether the 'close strings' feature is enabled.
`static String` | `EDITOR_CORRECTION_INDICATION` A named preference that controls if correction indicators are shown in the UI.
`static String` | `EDITOR_CTRL_ALT_HOVER` Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static String` | `EDITOR_CTRL_ALT_SHIFT_HOVER` Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static String` | `EDITOR_CTRL_HOVER` Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static String` | `EDITOR_CTRL_SHIFT_HOVER` Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static String` | `EDITOR_CURRENT_LINE` Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` | `EDITOR_CURRENT_LINE_COLOR` Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` | `EDITOR_DEFAULT_HOVER` Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static String` | `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static String` | `EDITOR_DISABLE_OVERWRITE_MODE` A named preference that controls disabling of the overwrite mode.
`static String` | `EDITOR_ERROR_INDICATION_IN_OVERVIEW_RULER` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_ESCAPE_STRINGS` A named preference that controls whether the 'escape strings' feature is enabled.
`static String` | `EDITOR_EVALUTE_TEMPORARY_PROBLEMS` A named preference that controls if temporary problems are evaluated and shown in the UI.
`static String` | `EDITOR_FIND_SCOPE_COLOR` A named preference that holds the color used for the find/replace scope.
`static String` | `EDITOR_FOLDING_ENABLED` A named preference that controls whether folding is enabled in the Java editor.
`static String` | `EDITOR_FOLDING_IMPORTS` A named preference that stores the value for imports folding for the default folding provider.
`static String` | `EDITOR_FOLDING_INNERTYPES` A named preference that stores the value for inner type folding for the default folding provider.
`static String` | `EDITOR_FOLDING_JAVADOC` A named preference that stores the value for Javadoc folding for the default folding provider.
`static String` | `EDITOR_FOLDING_METHODS` A named preference that stores the value for method folding for the default folding provider.
`static String` | `EDITOR_FOLDING_PROVIDER` A named preference that stores the configured folding provider.
`static String` | `EDITOR_FOREGROUND_COLOR` A named preference that holds the color used as the text foreground.
`static String` | `EDITOR_FOREGROUND_DEFAULT_COLOR` A named preference that describes if the system default foreground color is used as the text foreground.
`static String` | `EDITOR_FORMAT_JAVADOCS` A named preference that controls whether the 'format Javadoc tags' feature is enabled.
`static String` | `EDITOR_IMPORTS_ON_PASTE` A named preference that controls whether 'paste' should update the imports.
`static String` | `EDITOR_ITALIC_SUFFIX` Preference key suffix for italic text style preference keys.
`static String` | `EDITOR_JAVA_DEFAULT_BOLD` A named preference that controls whether Java default text is rendered in bold.
`static String` | `EDITOR_JAVA_DEFAULT_COLOR` A named preference that holds the color used to render java default text.
`static String` | `EDITOR_JAVA_DEFAULT_ITALIC` A named preference that controls whether Java default text is rendered in italic.
`static String` | `EDITOR_JAVA_KEYWORD_BOLD` A named preference that controls whether keywords are rendered in bold.
`static String` | `EDITOR_JAVA_KEYWORD_COLOR` A named preference that holds the color used to render java keywords.
`static String` | `EDITOR_JAVA_KEYWORD_ITALIC` A named preference that controls whether keywords are rendered in italic.
`static String` | `EDITOR_JAVA_KEYWORD_RETURN_BOLD` A named preference that controls whether 'return' keyword is rendered in bold.
`static String` | `EDITOR_JAVA_KEYWORD_RETURN_COLOR` A named preference that holds the color used to render the 'return' keyword.
`static String` | `EDITOR_JAVA_KEYWORD_RETURN_ITALIC` A named preference that controls whether 'return' keyword is rendered in italic.
`static String` | `EDITOR_JAVA_METHOD_NAME_BOLD` A named preference that controls whether method names are rendered in bold.
`static String` | `EDITOR_JAVA_METHOD_NAME_COLOR` A named preference that holds the color used to render method names.
`static String` | `EDITOR_JAVA_METHOD_NAME_ITALIC` A named preference that controls whether method names are rendered in italic.
`static String` | `EDITOR_JAVA_OPERATOR_BOLD` A named preference that controls whether operators and brackets are rendered in bold.
`static String` | `EDITOR_JAVA_OPERATOR_COLOR` A named preference that holds the color used to render operators and brackets.
`static String` | `EDITOR_JAVA_OPERATOR_ITALIC` A named preference that controls whether operators and brackets are rendered in italic.
`static String` | `EDITOR_JAVADOC_DEFAULT_BOLD` A named preference that controls whether javadoc default text is rendered in bold.
`static String` | `EDITOR_JAVADOC_DEFAULT_COLOR` A named preference that holds the color used to render javadoc default text.
`static String` | `EDITOR_JAVADOC_DEFAULT_ITALIC` A named preference that controls whether javadoc default text is rendered in italic.
`static String` | `EDITOR_JAVADOC_KEYWORD_BOLD` A named preference that controls whether javadoc keywords are rendered in bold.
`static String` | `EDITOR_JAVADOC_KEYWORD_COLOR` A named preference that holds the color used to render javadoc keywords.
`static String` | `EDITOR_JAVADOC_KEYWORD_ITALIC` A named preference that controls whether javadoc keywords are rendered in italic.
`static String` | `EDITOR_JAVADOC_LINKS_BOLD` A named preference that controls whether javadoc links are rendered in bold.
`static String` | `EDITOR_JAVADOC_LINKS_COLOR` A named preference that holds the color used to render javadoc links.
`static String` | `EDITOR_JAVADOC_LINKS_ITALIC` A named preference that controls whether javadoc links are rendered in italic.
`static String` | `EDITOR_JAVADOC_TAG_BOLD` A named preference that controls whether javadoc tags are rendered in bold.
`static String` | `EDITOR_JAVADOC_TAG_COLOR` A named preference that holds the color used to render javadoc tags.
`static String` | `EDITOR_JAVADOC_TAG_ITALIC` A named preference that controls whether javadoc tags are rendered in italic.
`static String` | `EDITOR_LINE_NUMBER_RULER` Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` | `EDITOR_LINE_NUMBER_RULER_COLOR` Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` | `EDITOR_LINK_COLOR` A named preference that holds the color used for 'linked-mode' underline.
`static String` | `EDITOR_LINKED_POSITION_COLOR` Deprecated. not used any longer as the linked positions are displayed as annotations
`static String` | `EDITOR_MARK_CONSTANT_OCCURRENCES` A named preference that controls whether constant (static final) occurrences are marked.
`static String` | `EDITOR_MARK_EXCEPTION_OCCURRENCES` A named preference that controls whether exception occurrences are marked.
`static String` | `EDITOR_MARK_FIELD_OCCURRENCES` A named preference that controls whether non-constant field occurrences are marked.
`static String` | `EDITOR_MARK_LOCAL_VARIABLE_OCCURRENCES` A named preference that controls whether local variable occurrences are marked.
`static String` | `EDITOR_MARK_METHOD_EXIT_POINTS` A named preference that controls whether method exit points are marked.
`static String` | `EDITOR_MARK_METHOD_OCCURRENCES` A named preference that controls whether method occurrences are marked.
`static String` | `EDITOR_MARK_OCCURRENCES` A named preference that controls whether occurrences are marked in the editor.
`static String` | `EDITOR_MARK_TYPE_OCCURRENCES` A named preference that controls whether type occurrences are marked.
`static String` | `EDITOR_MATCHING_BRACKETS` A named preference that controls whether bracket matching highlighting is turned on or off.
`static String` | `EDITOR_MATCHING_BRACKETS_COLOR` A named preference that holds the color used to highlight matching brackets.
`static String` | `EDITOR_MULTI_LINE_COMMENT_BOLD` A named preference that controls whether multi-line comments are rendered in bold.
`static String` | `EDITOR_MULTI_LINE_COMMENT_COLOR` A named preference that holds the color used to render multi-line comments.
`static String` | `EDITOR_MULTI_LINE_COMMENT_ITALIC` A named preference that controls whether multi-line comments are rendered in italic.
`static String` | `EDITOR_NO_HOVER_CONFIGURED_ID` Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static String` | `EDITOR_NONE_HOVER` Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static String` | `EDITOR_OVERVIEW_RULER` Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` | `EDITOR_PRINT_MARGIN` Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` | `EDITOR_PRINT_MARGIN_COLOR` Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` | `EDITOR_PRINT_MARGIN_COLUMN` Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` | `EDITOR_PROBLEM_INDICATION` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_PROBLEM_INDICATION_COLOR` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_QUICKASSIST_LIGHTBULB` A named preference that controls if quick assist light bulbs are shown.
`static String` | `EDITOR_SEARCH_RESULT_INDICATION` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_SEARCH_RESULT_INDICATION_COLOR` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_SEARCH_RESULT_INDICATION_IN_OVERVIEW_RULER` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_SEMANTIC_HIGHLIGHTING_BOLD_SUFFIX` A named preference suffix that controls if semantic highlighting has the text attribute bold.
`static String` | `EDITOR_SEMANTIC_HIGHLIGHTING_COLOR_SUFFIX` A named preference suffix that controls a semantic highlighting's color.
`static String` | `EDITOR_SEMANTIC_HIGHLIGHTING_ENABLED` A named preference that controls if semantic highlighting is enabled.
`static String` | `EDITOR_SEMANTIC_HIGHLIGHTING_ENABLED_SUFFIX` A named preference suffix that controls if semantic highlighting is enabled.
`static String` | `EDITOR_SEMANTIC_HIGHLIGHTING_ITALIC_SUFFIX` A named preference suffix that controls if semantic highlighting has the text attribute italic.
`static String` | `EDITOR_SEMANTIC_HIGHLIGHTING_PREFIX` A named preference prefix for semantic highlighting preferences.
`static String` | `EDITOR_SHIFT_HOVER` Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`
`static String` | `EDITOR_SHOW_HOVER` A named preference that controls whether hover tool tips in the editor are turned on or off.
`static String` | `EDITOR_SHOW_SEGMENTS` A named preference that controls if segmented view (show selected element only) is turned on or off.
`static String` | `EDITOR_SHOW_TEXT_HOVER_AFFORDANCE` A named preference that defines whether the hint to make hover sticky should be shown.
`static String` | `EDITOR_SINGLE_LINE_COMMENT_BOLD` A named preference that controls whether single line comments are rendered in bold.
`static String` | `EDITOR_SINGLE_LINE_COMMENT_COLOR` A named preference that holds the color used to render single line comments.
`static String` | `EDITOR_SINGLE_LINE_COMMENT_ITALIC` A named preference that controls whether single line comments are rendered in italic.
`static String` | `EDITOR_SMART_BACKSPACE` A named preference that controls the smart backspace behavior.
`static String` | `EDITOR_SMART_HOME_END` A named preference that controls whether the 'smart home-end' feature is enabled.
`static String` | `EDITOR_SMART_OPENING_BRACE` A named preference that controls the "smart opening brace" smart typing handler.
`static String` | `EDITOR_SMART_PASTE` A named preference that controls whether the 'smart paste' feature is enabled.
`static String` | `EDITOR_SMART_SEMICOLON` A named preference that controls the "smart semicolon" smart typing handler.
`static String` | `EDITOR_SMART_TAB` A named preference that controls the smart tab behavior.
`static String` | `EDITOR_SPACES_FOR_TABS` A named preference that specifies if the editor uses spaces for tabs.
`static String` | `EDITOR_STICKY_OCCURRENCES` A named preference that controls whether occurrences are sticky in the editor.
`static String` | `EDITOR_STRING_BOLD` A named preference that controls whether string constants are rendered in bold.
`static String` | `EDITOR_STRING_COLOR` A named preference that holds the color used to render string constants.
`static String` | `EDITOR_STRING_ITALIC` A named preference that controls whether string constants are rendered in italic.
`static String` | `EDITOR_SUB_WORD_NAVIGATION` A named preference that controls whether the 'sub-word navigation' feature is enabled.
`static String` | `EDITOR_SYNC_OUTLINE_ON_CURSOR_MOVE` A named preference that controls whether the outline view selection should stay in sync with with the element at the current cursor position.
`static String` | `EDITOR_TAB_WIDTH` Deprecated. As of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_TAB_WIDTH`
`static String` | `EDITOR_TASK_INDICATION` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_TASK_INDICATION_COLOR` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_TASK_INDICATION_IN_OVERVIEW_RULER` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_TASK_TAG_BOLD` A named preference that controls whether task tags are rendered in bold.
`static String` | `EDITOR_TASK_TAG_COLOR` A named preference that holds the color used to render task tags.
`static String` | `EDITOR_TASK_TAG_ITALIC` A named preference that controls whether task tags are rendered in italic.
`static String` | `EDITOR_TEXT_FONT` The symbolic font name for the Java editor text font (value `"org.eclipse.jdt.ui.editors.textfont"`).
`static String` | `EDITOR_TEXT_HOVER_MODIFIER_MASKS` A named preference that defines the key for the hover modifier state masks.
`static String` | `EDITOR_TEXT_HOVER_MODIFIERS` A named preference that defines the key for the hover modifiers.
`static String` | `EDITOR_UNKNOWN_INDICATION` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_UNKNOWN_INDICATION_COLOR` Deprecated.
`static String` | `EDITOR_UNKNOWN_INDICATION_IN_OVERVIEW_RULER` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_WARNING_INDICATION` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_WARNING_INDICATION_COLOR` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_WARNING_INDICATION_IN_OVERVIEW_RULER` Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`
`static String` | `EDITOR_WRAP_STRINGS` A named preference that controls whether the 'wrap strings' feature is enabled.
`static String` | `FORMATTER_COMMENT_CLEARBLANKLINES` A named preference that controls whether blank lines are cleared during formatting.
`static String` | `FORMATTER_COMMENT_FORMAT` A named preference that controls whether Javadoc comments are formatted by the content formatter.
`static String` | `FORMATTER_COMMENT_FORMATHEADER` A named preference that controls whether the header comment of a Java source file is formatted.
`static String` | `FORMATTER_COMMENT_FORMATHTML` A named preference that controls whether HTML tags are formatted.
`static String` | `FORMATTER_COMMENT_FORMATSOURCE` A named preference that controls whether code snippets are formatted in Javadoc comments.
`static String` | `FORMATTER_COMMENT_INDENTPARAMETERDESCRIPTION` A named preference that controls whether description of Javadoc parameters are indented.
`static String` | `FORMATTER_COMMENT_INDENTROOTTAGS` A named preference that controls whether Javadoc root tags are indented.
`static String` | `FORMATTER_COMMENT_LINELENGTH` A named preference that controls the line length of comments.
`static String` | `FORMATTER_COMMENT_NEWLINEFORPARAMETER` A named preference that controls whether a new line is inserted after Javadoc root tag parameters.
`static String` | `FORMATTER_COMMENT_SEPARATEROOTTAGS` A named preference that controls whether an empty line is inserted before the Javadoc root tag block.
`static String` | `FORMATTER_PROFILE` A named preference that controls which profile is used by the code formatter.
`static String` | `ID_BESTMATCH_HOVER` The id of the best match hover contributed for extension point `javaEditorTextHovers`.
`static String` | `ID_JAVADOC_HOVER` The id of the javadoc hover contributed for extension point `javaEditorTextHovers`.
`static String` | `ID_PROBLEM_HOVER` Deprecated. as of 3.0, this hover is no longer available
`static String` | `ID_SOURCE_HOVER` The id of the source code hover contributed for extension point `javaEditorTextHovers`.
`static String` | `JAVADOC_COMMAND` A named preference that holds the path of the Javadoc command used by the Javadoc creation wizard.
`static String` | `LINK_BROWSING_MEMBERS_TO_EDITOR` A named preference that controls whether the members view's selection is linked to the active editor.
`static String` | `LINK_BROWSING_PACKAGES_TO_EDITOR` A named preference that controls whether the packages view's selection is linked to the active editor.
`static String` | `LINK_BROWSING_PROJECTS_TO_EDITOR` A named preference that controls whether the projects view's selection is linked to the active editor.
`static String` | `LINK_BROWSING_TYPES_TO_EDITOR` A named preference that controls whether the types view's selection is linked to the active editor.
`static String` | `LINK_PACKAGES_TO_EDITOR` A named preference that controls whether the package explorer's selection is linked to the active editor.
`static String` | `LINK_TYPEHIERARCHY_TO_EDITOR` A named preference that controls whether the hierarchy view's selection is linked to the active editor.
`static String` | `NEWPROJECT_JRELIBRARY_INDEX` A named preferences that specifies the current active JRE library.
`static String` | `NEWPROJECT_JRELIBRARY_LIST` A named preference that holds a list of possible JRE libraries used by the New Java Project wizard.
`static String` | `OPEN_TYPE_HIERARCHY` A named preference that controls if a new type hierarchy gets opened in a new type hierarchy perspective or inside the type hierarchy view part.
`static String` | `OPEN_TYPE_HIERARCHY_IN_PERSPECTIVE` A string value used by the named preference `OPEN_TYPE_HIERARCHY`.
`static String` | `OPEN_TYPE_HIERARCHY_IN_VIEW_PART` A string value used by the named preference `OPEN_TYPE_HIERARCHY`.
`static String` | `ORGIMPORTS_IGNORELOWERCASE` A named preferences that controls if types that start with a lower case letters get added by the "Organize Import" operation.
`static String` | `ORGIMPORTS_IMPORTORDER` A named preference that holds a list of semicolon separated package names.
`static String` | `ORGIMPORTS_ONDEMANDTHRESHOLD` A named preference that specifies the number of imports added before a star-import declaration is used.
`static String` | `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD` Deprecated. Use method `RefactoringCore.getConditionCheckingFailedSeverity()`.
`static String` | `REFACTOR_ERROR_SEVERITY` Deprecated. Use constant `RefactoringStatus.ERROR`
`static String` | `REFACTOR_FATAL_SEVERITY` Deprecated. Use constant `RefactoringStatus.FATAL`
`static String` | `REFACTOR_INFO_SEVERITY` Deprecated. Use constant `RefactoringStatus.INFO`
`static String` | `REFACTOR_OK_SEVERITY` Deprecated. Use constant `RefactoringStatus.OK`
`static String` | `REFACTOR_SAVE_ALL_EDITORS` A named preference that controls whether all dirty editors are automatically saved before a refactoring is executed.
`static String` | `REFACTOR_WARNING_SEVERITY` Deprecated. Use constant `RefactoringStatus.WARNING`
`static String` | `SEARCH_USE_REDUCED_MENU` A named preference that controls a reduced search menu is used in the Java editors.
`static String` | `SHOW_CU_CHILDREN` A named preference that specifies whether children of a compilation unit are shown in the package explorer.
`static String` | `SPELLING_CHECK_SPELLING` A named preference that controls whether Java comments should be spell-checked.
`static String` | `SPELLING_ENABLE_CONTENTASSIST` A named preference that specifies whether spelling dictionaries are available to content assist.
`static String` | `SPELLING_IGNORE_DIGITS` A named preference that controls whether words containing digits should be skipped during spell-checking.
`static String` | `SPELLING_IGNORE_MIXED` A named preference that controls whether mixed case words should be skipped during spell-checking.
`static String` | `SPELLING_IGNORE_SENTENCE` A named preference that controls whether sentence capitalization should be ignored during spell-checking.
`static String` | `SPELLING_IGNORE_UPPER` A named preference that controls whether upper case words should be skipped during spell-checking.
`static String` | `SPELLING_IGNORE_URLS` A named preference that controls whether URLs should be ignored during spell-checking.
`static String` | `SPELLING_LOCALE` A named preference that controls the locale used for spell-checking.
`static String` | `SPELLING_PROPOSAL_THRESHOLD` A named preference that controls the number of proposals offered during spell-checking.
`static String` | `SPELLING_USER_DICTIONARY` A named preference that specifies the workspace user dictionary.
`static String` | `SRCBIN_BINNAME` A named preference that specifies the output folder name used when creating a new Java project.
`static String` | `SRCBIN_FOLDERS_IN_NEWPROJ` A named preference that controls whether new projects are generated using source and output folder.
`static String` | `SRCBIN_SRCNAME` A named preference that specifies the source folder name used when creating a new Java project.
`static String` | `TEMPLATES_USE_CODEFORMATTER` A named preference that controls if templates are formatted when applied.
`static String` | `TYPEFILTER_DISABLED` A named preference that holds a list of semicolon separated fully qualified type names with wild card characters.
`static String` | `TYPEFILTER_ENABLED` A named preference that holds a list of semicolon separated fully qualified type names with wild card characters.
`static String` | `UPDATE_JAVA_VIEWS` Deprecated. Since 3.0, views now always update while editing
`static String` | `UPDATE_ON_SAVE` Deprecated. Since 3.0, views now always update while editing
`static String` | `UPDATE_WHILE_EDITING` Deprecated. Since 3.0, views now always update while editing

Method Summary
`static IClasspathEntry[]` | `decodeJRELibraryClasspathEntries(String encodedLibrary)` Decodes an encoded JRE library and returns its class path entries.
`static String` | `decodeJRELibraryDescription(String encodedLibrary)` Decodes an encoded JRE library and returns its description string.
`static String` | `encodeJRELibrary(String description, IClasspathEntry[] entries)` Encodes a JRE library to be used in the named preference `NEWPROJECT_JRELIBRARY_LIST`.
`static IClasspathEntry[]` | `getDefaultJRELibrary()` Returns the current configuration for the JRE to be used as default in new Java projects.
`static IPreferenceStore` | `getPreferenceStore()` Returns the JDT-UI preference store.
`static void` | `initializeDefaultValues(IPreferenceStore store)` Initializes the given preference store with the default values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPEARANCE_METHOD_RETURNTYPE

    public static final String APPEARANCE_METHOD_RETURNTYPE

  A named preference that controls return type rendering of methods in the UI.

  Value is of type `Boolean`: if `true` return types are rendered

  See Also:
    Constant Field Values

### APPEARANCE_OVERRIDE_INDICATOR

    public static final String APPEARANCE_OVERRIDE_INDICATOR

  Deprecated. Override Indicator is now controlled on the platform's decorator preference page

  A named preference that controls if override indicators are rendered in the UI.

  Value is of type `Boolean`: if `true` override indicators are rendered

  See Also:
    Constant Field Values

### EDITOR_QUICKASSIST_LIGHTBULB

    public static final String EDITOR_QUICKASSIST_LIGHTBULB

  A named preference that controls if quick assist light bulbs are shown.

  Value is of type `Boolean`: if `true` light bulbs are shown for quick assists.

  Since:
    3.0
  See Also:
    Constant Field Values

### APPEARANCE_PKG_NAME_PATTERN_FOR_PKG_VIEW

    public static final String APPEARANCE_PKG_NAME_PATTERN_FOR_PKG_VIEW

  A named preference that defines the pattern used for package name compression.

  Value is of type `String`. For example for the given package name 'org.eclipse.jdt' pattern '.' will compress it to '..jdt', '1~' to 'o~.e~.jdt'.

  See Also:
    Constant Field Values

### APPEARANCE_COMPRESS_PACKAGE_NAMES

    public static final String APPEARANCE_COMPRESS_PACKAGE_NAMES

  A named preference that controls if package name compression is turned on or off.

  Value is of type `Boolean`.

  See Also:
    `APPEARANCE_PKG_NAME_PATTERN_FOR_PKG_VIEW`, Constant Field Values

### APPEARANCE_FOLD_PACKAGES_IN_PACKAGE_EXPLORER

    public static final String APPEARANCE_FOLD_PACKAGES_IN_PACKAGE_EXPLORER

  A named preference that controls if empty inner packages are folded in the hierarchical mode of the package explorer.

  Value is of type `Boolean`: if `true` empty inner packages are folded.

  Since:
    2.1
  See Also:
    Constant Field Values

### APPEARANCE_MEMBER_SORT_ORDER

    public static final String APPEARANCE_MEMBER_SORT_ORDER

  A named preference that defines how member elements are ordered by the Java views using the `JavaElementSorter`.

  Value is of type `String`: A comma separated list of the following entries. Each entry must be in the list, no duplication. List order defines the sort order.

  - T: Types
  - C: Constructors
  - I: Initializers
  - M: Methods
  - F: Fields
  - SI: Static Initializers
  - SM: Static Methods
  - SF: Static Fields

  Since:
    2.1
  See Also:
    Constant Field Values

### APPEARANCE_VISIBILITY_SORT_ORDER

    public static final String APPEARANCE_VISIBILITY_SORT_ORDER

  A named preference that defines how member elements are ordered by visibility in the Java views using the `JavaElementSorter`.

  Value is of type `String`: A comma separated list of the following entries. Each entry must be in the list, no duplication. List order defines the sort order.

  - B: Public
  - V: Private
  - R: Protected
  - D: Default

  Since:
    3.0
  See Also:
    Constant Field Values

### APPEARANCE_ENABLE_VISIBILITY_SORT_ORDER

    public static final String APPEARANCE_ENABLE_VISIBILITY_SORT_ORDER

  A named preferences that controls if Java elements are also sorted by visibility.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### CODEGEN_USE_GETTERSETTER_PREFIX

    public static final String CODEGEN_USE_GETTERSETTER_PREFIX

  Deprecated. Use JavaCore preference store (key JavaCore. CODEASSIST_FIELD_PREFIXES and CODEASSIST_STATIC_FIELD_PREFIXES)

  A named preference that controls if prefix removal during setter/getter generation is turned on or off.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### CODEGEN_GETTERSETTER_PREFIX

    public static final String CODEGEN_GETTERSETTER_PREFIX

  Deprecated. Use JavaCore preference store (key JavaCore. CODEASSIST_FIELD_PREFIXES and CODEASSIST_STATIC_FIELD_PREFIXES)

  A named preference that holds a list of prefixes to be removed from a local variable to compute setter and getter names.

  Value is of type `String`: comma separated list of prefixed

  See Also:
    Constant Field Values

### CODEGEN_USE_GETTERSETTER_SUFFIX

    public static final String CODEGEN_USE_GETTERSETTER_SUFFIX

  Deprecated. Use JavaCore preference store (key JavaCore. CODEASSIST_FIELD_PREFIXES and CODEASSIST_STATIC_FIELD_PREFIXES)

  A named preference that controls if suffix removal during setter/getter generation is turned on or off.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### CODEGEN_GETTERSETTER_SUFFIX

    public static final String CODEGEN_GETTERSETTER_SUFFIX

  Deprecated. Use setting from JavaCore preference store (key JavaCore. CODEASSIST_FIELD_SUFFIXES and CODEASSIST_STATIC_FIELD_SUFFIXES)

  A named preference that holds a list of suffixes to be removed from a local variable to compute setter and getter names.

  Value is of type `String`: comma separated list of suffixes

  See Also:
    Constant Field Values

### CODEGEN_KEYWORD_THIS

    public static final String CODEGEN_KEYWORD_THIS

  A named preference that controls whether the keyword "this" will be added automatically to field accesses in generated methods.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### CODEGEN_IS_FOR_GETTERS

    public static final String CODEGEN_IS_FOR_GETTERS

  A named preference that controls whether to use the prefix "is" or the prefix "get" for automatically created getters which return a boolean field.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### CODEGEN_EXCEPTION_VAR_NAME

    public static final String CODEGEN_EXCEPTION_VAR_NAME

  A named preference that defines the preferred variable names for exceptions in catch clauses.

  Value is of type `String`.

  Since:
    3.0
  See Also:
    Constant Field Values

### CODEGEN_ADD_COMMENTS

    public static final String CODEGEN_ADD_COMMENTS

  A named preference that controls if comment stubs will be added automatically to newly created types and methods.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### CODEGEN__JAVADOC_STUBS

    public static final String CODEGEN__JAVADOC_STUBS

  Deprecated. Use CODEGEN_ADD_COMMENTS instead (Name is more precise).

  A named preference that controls if a comment stubs will be added automatically to newly created types and methods.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### CODEGEN__NON_JAVADOC_COMMENTS

    public static final String CODEGEN__NON_JAVADOC_COMMENTS

  Deprecated. New code template story: user can specify the overriding method comment.

  A named preference that controls if a non-javadoc comment gets added to methods generated via the "Override Methods" operation.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### CODEGEN__FILE_COMMENTS

    public static final String CODEGEN__FILE_COMMENTS

  Deprecated. New code template story: user can specify the new file code template.

  A named preference that controls if a file comment gets added to newly created files.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### ORGIMPORTS_IMPORTORDER

    public static final String ORGIMPORTS_IMPORTORDER

  A named preference that holds a list of semicolon separated package names. The list specifies the import order used by the "Organize Imports" operation.

  Value is of type `String`: semicolon separated list of package names

  See Also:
    Constant Field Values

### TYPEFILTER_ENABLED

    public static final String TYPEFILTER_ENABLED

  A named preference that holds a list of semicolon separated fully qualified type names with wild card characters.

  Since:
    3.0
  See Also:
    Constant Field Values

### TYPEFILTER_DISABLED

    public static final String TYPEFILTER_DISABLED

  A named preference that holds a list of semicolon separated fully qualified type names with wild card characters.

  Since:
    3.0
  See Also:
    Constant Field Values

### ORGIMPORTS_ONDEMANDTHRESHOLD

    public static final String ORGIMPORTS_ONDEMANDTHRESHOLD

  A named preference that specifies the number of imports added before a star-import declaration is used.

  Value is of type `Integer`: positive value specifying the number of non star-import is used

  See Also:
    Constant Field Values

### ORGIMPORTS_IGNORELOWERCASE

    public static final String ORGIMPORTS_IGNORELOWERCASE

  A named preferences that controls if types that start with a lower case letters get added by the "Organize Import" operation.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### SHOW_CU_CHILDREN

    public static final String SHOW_CU_CHILDREN

  A named preference that specifies whether children of a compilation unit are shown in the package explorer.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### LINK_PACKAGES_TO_EDITOR

    public static final String LINK_PACKAGES_TO_EDITOR

  A named preference that controls whether the package explorer's selection is linked to the active editor.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### LINK_TYPEHIERARCHY_TO_EDITOR

    public static final String LINK_TYPEHIERARCHY_TO_EDITOR

  A named preference that controls whether the hierarchy view's selection is linked to the active editor.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### LINK_BROWSING_PROJECTS_TO_EDITOR

    public static final String LINK_BROWSING_PROJECTS_TO_EDITOR

  A named preference that controls whether the projects view's selection is linked to the active editor.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### LINK_BROWSING_PACKAGES_TO_EDITOR

    public static final String LINK_BROWSING_PACKAGES_TO_EDITOR

  A named preference that controls whether the packages view's selection is linked to the active editor.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### LINK_BROWSING_TYPES_TO_EDITOR

    public static final String LINK_BROWSING_TYPES_TO_EDITOR

  A named preference that controls whether the types view's selection is linked to the active editor.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### LINK_BROWSING_MEMBERS_TO_EDITOR

    public static final String LINK_BROWSING_MEMBERS_TO_EDITOR

  A named preference that controls whether the members view's selection is linked to the active editor.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### SRCBIN_FOLDERS_IN_NEWPROJ

    public static final String SRCBIN_FOLDERS_IN_NEWPROJ

  A named preference that controls whether new projects are generated using source and output folder.

  Value is of type `Boolean`. if `true` new projects are created with a source and output folder. If `false` source and output folder equals to the project.

  See Also:
    Constant Field Values

### SRCBIN_SRCNAME

    public static final String SRCBIN_SRCNAME

  A named preference that specifies the source folder name used when creating a new Java project. Value is inactive if `SRCBIN_FOLDERS_IN_NEWPROJ` is set to `false`.

  Value is of type `String`.

  See Also:
    `SRCBIN_FOLDERS_IN_NEWPROJ`, Constant Field Values

### SRCBIN_BINNAME

    public static final String SRCBIN_BINNAME

  A named preference that specifies the output folder name used when creating a new Java project. Value is inactive if `SRCBIN_FOLDERS_IN_NEWPROJ` is set to `false`.

  Value is of type `String`.

  See Also:
    `SRCBIN_FOLDERS_IN_NEWPROJ`, Constant Field Values

### NEWPROJECT_JRELIBRARY_LIST

    public static final String NEWPROJECT_JRELIBRARY_LIST

  A named preference that holds a list of possible JRE libraries used by the New Java Project wizard. A library consists of a description and an arbitrary number of `IClasspathEntry`s, that will represent the JRE on the new project's class path.

  Value is of type `String`: a semicolon separated list of encoded JRE libraries. `NEWPROJECT_JRELIBRARY_INDEX` defines the currently used library. Clients should use the method `encodeJRELibrary` to encode a JRE library into a string and the methods `decodeJRELibraryDescription(String)` and `decodeJRELibraryClasspathEntries(String)` to decode the description and the array of class path entries from an encoded string.

  See Also:
    `NEWPROJECT_JRELIBRARY_INDEX`, `encodeJRELibrary(String, IClasspathEntry[])`, `decodeJRELibraryDescription(String)`, `decodeJRELibraryClasspathEntries(String)`, Constant Field Values

### NEWPROJECT_JRELIBRARY_INDEX

    public static final String NEWPROJECT_JRELIBRARY_INDEX

  A named preferences that specifies the current active JRE library.

  Value is of type `Integer`: an index into the list of possible JRE libraries.

  See Also:
    `NEWPROJECT_JRELIBRARY_LIST`, Constant Field Values

### OPEN_TYPE_HIERARCHY

    public static final String OPEN_TYPE_HIERARCHY

  A named preference that controls if a new type hierarchy gets opened in a new type hierarchy perspective or inside the type hierarchy view part.

  Value is of type `String`: possible values are `OPEN_TYPE_HIERARCHY_IN_PERSPECTIVE` or `OPEN_TYPE_HIERARCHY_IN_VIEW_PART`.

  See Also:
    `OPEN_TYPE_HIERARCHY_IN_PERSPECTIVE`, `OPEN_TYPE_HIERARCHY_IN_VIEW_PART`, Constant Field Values

### OPEN_TYPE_HIERARCHY_IN_PERSPECTIVE

    public static final String OPEN_TYPE_HIERARCHY_IN_PERSPECTIVE

  A string value used by the named preference `OPEN_TYPE_HIERARCHY`.

  See Also:
    `OPEN_TYPE_HIERARCHY`, Constant Field Values

### OPEN_TYPE_HIERARCHY_IN_VIEW_PART

    public static final String OPEN_TYPE_HIERARCHY_IN_VIEW_PART

  A string value used by the named preference `OPEN_TYPE_HIERARCHY`.

  See Also:
    `OPEN_TYPE_HIERARCHY`, Constant Field Values

### DOUBLE_CLICK

    public static final String DOUBLE_CLICK

  A named preference that controls the behavior when double clicking on a container in the packages view.

  Value is of type `String`: possible values are `DOUBLE_CLICK_GOES_INTO` or `DOUBLE_CLICK_EXPANDS`.

  See Also:
    `DOUBLE_CLICK_EXPANDS`, `DOUBLE_CLICK_GOES_INTO`, Constant Field Values

### DOUBLE_CLICK_GOES_INTO

    public static final String DOUBLE_CLICK_GOES_INTO

  A string value used by the named preference `DOUBLE_CLICK`.

  See Also:
    `DOUBLE_CLICK`, Constant Field Values

### DOUBLE_CLICK_EXPANDS

    public static final String DOUBLE_CLICK_EXPANDS

  A string value used by the named preference `DOUBLE_CLICK`.

  See Also:
    `DOUBLE_CLICK`, Constant Field Values

### UPDATE_JAVA_VIEWS

    public static final String UPDATE_JAVA_VIEWS

  Deprecated. Since 3.0, views now always update while editing

  A named preference that controls whether Java views update their presentation while editing or when saving the content of an editor.

  Value is of type `String`: possible values are `UPDATE_ON_SAVE` or `UPDATE_WHILE_EDITING`.

  See Also:
    `UPDATE_ON_SAVE`, `UPDATE_WHILE_EDITING`, Constant Field Values

### UPDATE_ON_SAVE

    public static final String UPDATE_ON_SAVE

  Deprecated. Since 3.0, views now always update while editing

  A string value used by the named preference `UPDATE_JAVA_VIEWS`

  See Also:
    `UPDATE_JAVA_VIEWS`, Constant Field Values

### UPDATE_WHILE_EDITING

    public static final String UPDATE_WHILE_EDITING

  Deprecated. Since 3.0, views now always update while editing

  A string value used by the named preference `UPDATE_JAVA_VIEWS`

  See Also:
    `UPDATE_JAVA_VIEWS`, Constant Field Values

### JAVADOC_COMMAND

    public static final String JAVADOC_COMMAND

  A named preference that holds the path of the Javadoc command used by the Javadoc creation wizard.

  Value is of type `String`.

  See Also:
    Constant Field Values

### EDITOR_SHOW_TEXT_HOVER_AFFORDANCE

    public static final String EDITOR_SHOW_TEXT_HOVER_AFFORDANCE

  A named preference that defines whether the hint to make hover sticky should be shown.

  Since:
    3.0
  See Also:
    `JavaUI`, Constant Field Values

### EDITOR_TEXT_HOVER_MODIFIERS

    public static final String EDITOR_TEXT_HOVER_MODIFIERS

  A named preference that defines the key for the hover modifiers.

  Since:
    2.1
  See Also:
    `JavaUI`, Constant Field Values

### EDITOR_TEXT_HOVER_MODIFIER_MASKS

    public static final String EDITOR_TEXT_HOVER_MODIFIER_MASKS

  A named preference that defines the key for the hover modifier state masks. The value is only used if the value of `EDITOR_TEXT_HOVER_MODIFIERS` cannot be resolved to valid SWT modifier bits.

  Since:
    2.1.1
  See Also:
    `JavaUI`, `EDITOR_TEXT_HOVER_MODIFIERS`, Constant Field Values

### ID_BESTMATCH_HOVER

    public static final String ID_BESTMATCH_HOVER

  The id of the best match hover contributed for extension point `javaEditorTextHovers`.

  Since:
    2.1
  See Also:
    Constant Field Values

### ID_SOURCE_HOVER

    public static final String ID_SOURCE_HOVER

  The id of the source code hover contributed for extension point `javaEditorTextHovers`.

  Since:
    2.1
  See Also:
    Constant Field Values

### ID_JAVADOC_HOVER

    public static final String ID_JAVADOC_HOVER

  The id of the javadoc hover contributed for extension point `javaEditorTextHovers`.

  Since:
    2.1
  See Also:
    Constant Field Values

### ID_PROBLEM_HOVER

    public static final String ID_PROBLEM_HOVER

  Deprecated. as of 3.0, this hover is no longer available

  The id of the problem hover contributed for extension point `javaEditorTextHovers`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_MATCHING_BRACKETS

    public static final String EDITOR_MATCHING_BRACKETS

  A named preference that controls whether bracket matching highlighting is turned on or off.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_MATCHING_BRACKETS_COLOR

    public static final String EDITOR_MATCHING_BRACKETS_COLOR

  A named preference that holds the color used to highlight matching brackets.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_CURRENT_LINE

    public static final String EDITOR_CURRENT_LINE

  Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`

  A named preference that controls whether the current line highlighting is turned on or off.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_CURRENT_LINE_COLOR

    public static final String EDITOR_CURRENT_LINE_COLOR

  Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`

  A named preference that holds the color used to highlight the current line.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_PRINT_MARGIN

    public static final String EDITOR_PRINT_MARGIN

  Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`

  A named preference that controls whether the print margin is turned on or off.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_PRINT_MARGIN_COLOR

    public static final String EDITOR_PRINT_MARGIN_COLOR

  Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`

  A named preference that holds the color used to render the print margin.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_PRINT_MARGIN_COLUMN

    public static final String EDITOR_PRINT_MARGIN_COLUMN

  Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`

  Print margin column. Integer value.

  See Also:
    Constant Field Values

### EDITOR_FIND_SCOPE_COLOR

    public static final String EDITOR_FIND_SCOPE_COLOR

  A named preference that holds the color used for the find/replace scope.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_SPACES_FOR_TABS

    public static final String EDITOR_SPACES_FOR_TABS

  A named preference that specifies if the editor uses spaces for tabs.

  Value is of type `Boolean`. If `true`spaces instead of tabs are used in the editor. If `false` the editor inserts a tab character when pressing the tab key.

  See Also:
    Constant Field Values

### EDITOR_TAB_WIDTH

    public static final String EDITOR_TAB_WIDTH

  Deprecated. As of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants.EDITOR_TAB_WIDTH`

  A named preference that holds the number of spaces used per tab in the editor.

  Value is of type `Integer`: positive integer value specifying the number of spaces per tab.

  See Also:
    Constant Field Values

### EDITOR_SYNC_OUTLINE_ON_CURSOR_MOVE

    public static final String EDITOR_SYNC_OUTLINE_ON_CURSOR_MOVE

  A named preference that controls whether the outline view selection should stay in sync with with the element at the current cursor position.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_CORRECTION_INDICATION

    public static final String EDITOR_CORRECTION_INDICATION

  A named preference that controls if correction indicators are shown in the UI.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_PROBLEM_INDICATION

    public static final String EDITOR_PROBLEM_INDICATION

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that controls whether the editor shows problem indicators in text (squiggly lines).

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_PROBLEM_INDICATION_COLOR

    public static final String EDITOR_PROBLEM_INDICATION_COLOR

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that holds the color used to render problem indicators.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `EDITOR_PROBLEM_INDICATION`, `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_WARNING_INDICATION

    public static final String EDITOR_WARNING_INDICATION

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that controls whether the editor shows warning indicators in text (squiggly lines).

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_WARNING_INDICATION_COLOR

    public static final String EDITOR_WARNING_INDICATION_COLOR

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that holds the color used to render warning indicators.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  Since:
    2.1
  See Also:
    `EDITOR_WARNING_INDICATION`, `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_TASK_INDICATION

    public static final String EDITOR_TASK_INDICATION

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that controls whether the editor shows task indicators in text (squiggly lines).

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_TASK_INDICATION_COLOR

    public static final String EDITOR_TASK_INDICATION_COLOR

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that holds the color used to render task indicators.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  Since:
    2.1
  See Also:
    `EDITOR_TASK_INDICATION`, `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_BOOKMARK_INDICATION

    public static final String EDITOR_BOOKMARK_INDICATION

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that controls whether the editor shows bookmark indicators in text (squiggly lines).

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_BOOKMARK_INDICATION_COLOR

    public static final String EDITOR_BOOKMARK_INDICATION_COLOR

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that holds the color used to render bookmark indicators.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  Since:
    2.1
  See Also:
    `EDITOR_BOOKMARK_INDICATION`, `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_SEARCH_RESULT_INDICATION

    public static final String EDITOR_SEARCH_RESULT_INDICATION

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that controls whether the editor shows search indicators in text (squiggly lines).

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_SEARCH_RESULT_INDICATION_COLOR

    public static final String EDITOR_SEARCH_RESULT_INDICATION_COLOR

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that holds the color used to render search indicators.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  Since:
    2.1
  See Also:
    `EDITOR_SEARCH_RESULT_INDICATION`, `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_UNKNOWN_INDICATION

    public static final String EDITOR_UNKNOWN_INDICATION

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that controls whether the editor shows unknown indicators in text (squiggly lines).

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_UNKNOWN_INDICATION_COLOR

    public static final String EDITOR_UNKNOWN_INDICATION_COLOR

  Deprecated.

  A named preference that holds the color used to render unknown indicators.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  Since:
    2.1
  See Also:
    `EDITOR_UNKNOWN_INDICATION`, `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_ERROR_INDICATION_IN_OVERVIEW_RULER

    public static final String EDITOR_ERROR_INDICATION_IN_OVERVIEW_RULER

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that controls whether the overview ruler shows error indicators.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_WARNING_INDICATION_IN_OVERVIEW_RULER

    public static final String EDITOR_WARNING_INDICATION_IN_OVERVIEW_RULER

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that controls whether the overview ruler shows warning indicators.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_TASK_INDICATION_IN_OVERVIEW_RULER

    public static final String EDITOR_TASK_INDICATION_IN_OVERVIEW_RULER

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that controls whether the overview ruler shows task indicators.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_BOOKMARK_INDICATION_IN_OVERVIEW_RULER

    public static final String EDITOR_BOOKMARK_INDICATION_IN_OVERVIEW_RULER

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that controls whether the overview ruler shows bookmark indicators.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_SEARCH_RESULT_INDICATION_IN_OVERVIEW_RULER

    public static final String EDITOR_SEARCH_RESULT_INDICATION_IN_OVERVIEW_RULER

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that controls whether the overview ruler shows search result indicators.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_UNKNOWN_INDICATION_IN_OVERVIEW_RULER

    public static final String EDITOR_UNKNOWN_INDICATION_IN_OVERVIEW_RULER

  Deprecated. as of 3.0 replaced by `MarkerAnnotationPreferences`

  A named preference that controls whether the overview ruler shows unknown indicators.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_CLOSE_STRINGS

    public static final String EDITOR_CLOSE_STRINGS

  A named preference that controls whether the 'close strings' feature is enabled.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_WRAP_STRINGS

    public static final String EDITOR_WRAP_STRINGS

  A named preference that controls whether the 'wrap strings' feature is enabled.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_ESCAPE_STRINGS

    public static final String EDITOR_ESCAPE_STRINGS

  A named preference that controls whether the 'escape strings' feature is enabled.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_CLOSE_BRACKETS

    public static final String EDITOR_CLOSE_BRACKETS

  A named preference that controls whether the 'close brackets' feature is enabled.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_CLOSE_BRACES

    public static final String EDITOR_CLOSE_BRACES

  A named preference that controls whether the 'close braces' feature is enabled.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_CLOSE_JAVADOCS

    public static final String EDITOR_CLOSE_JAVADOCS

  A named preference that controls whether the 'close java docs' feature is enabled.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_ADD_JAVADOC_TAGS

    public static final String EDITOR_ADD_JAVADOC_TAGS

  A named preference that controls whether the 'add JavaDoc tags' feature is enabled.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_FORMAT_JAVADOCS

    public static final String EDITOR_FORMAT_JAVADOCS

  A named preference that controls whether the 'format Javadoc tags' feature is enabled.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_SMART_PASTE

    public static final String EDITOR_SMART_PASTE

  A named preference that controls whether the 'smart paste' feature is enabled.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_IMPORTS_ON_PASTE

    public static final String EDITOR_IMPORTS_ON_PASTE

  A named preference that controls whether 'paste' should update the imports.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_SMART_HOME_END

    public static final String EDITOR_SMART_HOME_END

  A named preference that controls whether the 'smart home-end' feature is enabled.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_SUB_WORD_NAVIGATION

    public static final String EDITOR_SUB_WORD_NAVIGATION

  A named preference that controls whether the 'sub-word navigation' feature is enabled.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_EVALUTE_TEMPORARY_PROBLEMS

    public static final String EDITOR_EVALUTE_TEMPORARY_PROBLEMS

  A named preference that controls if temporary problems are evaluated and shown in the UI.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_OVERVIEW_RULER

    public static final String EDITOR_OVERVIEW_RULER

  Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`

  A named preference that controls if the overview ruler is shown in the UI.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_LINE_NUMBER_RULER

    public static final String EDITOR_LINE_NUMBER_RULER

  Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`

  A named preference that controls if the line number ruler is shown in the UI.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_LINE_NUMBER_RULER_COLOR

    public static final String EDITOR_LINE_NUMBER_RULER_COLOR

  Deprecated. as of 3.0 replaced by `AbstractDecoratedTextEditorPreferenceConstants`

  A named preference that holds the color used to render line numbers inside the line number ruler.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, `EDITOR_LINE_NUMBER_RULER`, Constant Field Values

### EDITOR_LINKED_POSITION_COLOR

    public static final String EDITOR_LINKED_POSITION_COLOR

  Deprecated. not used any longer as the linked positions are displayed as annotations

  A named preference that holds the color used to render linked positions inside code templates.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_FOREGROUND_COLOR

    public static final String EDITOR_FOREGROUND_COLOR

  A named preference that holds the color used as the text foreground. This value has not effect if the system default color is used.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_FOREGROUND_DEFAULT_COLOR

    public static final String EDITOR_FOREGROUND_DEFAULT_COLOR

  A named preference that describes if the system default foreground color is used as the text foreground.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_BACKGROUND_COLOR

    public static final String EDITOR_BACKGROUND_COLOR

  A named preference that holds the color used as the text background. This value has not effect if the system default color is used.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_BACKGROUND_DEFAULT_COLOR

    public static final String EDITOR_BACKGROUND_DEFAULT_COLOR

  A named preference that describes if the system default background color is used as the text background.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_BOLD_SUFFIX

    public static final String EDITOR_BOLD_SUFFIX

  Preference key suffix for bold text style preference keys.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_ITALIC_SUFFIX

    public static final String EDITOR_ITALIC_SUFFIX

  Preference key suffix for italic text style preference keys.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_MULTI_LINE_COMMENT_COLOR

    public static final String EDITOR_MULTI_LINE_COMMENT_COLOR

  A named preference that holds the color used to render multi-line comments.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_TEXT_FONT

    public static final String EDITOR_TEXT_FONT

  The symbolic font name for the Java editor text font (value `"org.eclipse.jdt.ui.editors.textfont"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_MULTI_LINE_COMMENT_BOLD

    public static final String EDITOR_MULTI_LINE_COMMENT_BOLD

  A named preference that controls whether multi-line comments are rendered in bold.

  Value is of type `Boolean`. If `true` multi-line comments are rendered in bold. If `false` the are rendered using no font style attribute.

  See Also:
    Constant Field Values

### EDITOR_MULTI_LINE_COMMENT_ITALIC

    public static final String EDITOR_MULTI_LINE_COMMENT_ITALIC

  A named preference that controls whether multi-line comments are rendered in italic.

  Value is of type `Boolean`. If `true` multi-line comments are rendered in italic. If `false` the are rendered using no italic font style attribute.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_SINGLE_LINE_COMMENT_COLOR

    public static final String EDITOR_SINGLE_LINE_COMMENT_COLOR

  A named preference that holds the color used to render single line comments.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_SINGLE_LINE_COMMENT_BOLD

    public static final String EDITOR_SINGLE_LINE_COMMENT_BOLD

  A named preference that controls whether single line comments are rendered in bold.

  Value is of type `Boolean`. If `true` single line comments are rendered in bold. If `false` the are rendered using no font style attribute.

  See Also:
    Constant Field Values

### EDITOR_SINGLE_LINE_COMMENT_ITALIC

    public static final String EDITOR_SINGLE_LINE_COMMENT_ITALIC

  A named preference that controls whether single line comments are rendered in italic.

  Value is of type `Boolean`. If `true` single line comments are rendered in italic. If `false` the are rendered using no italic font style attribute.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_JAVA_KEYWORD_COLOR

    public static final String EDITOR_JAVA_KEYWORD_COLOR

  A named preference that holds the color used to render java keywords.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_JAVA_KEYWORD_BOLD

    public static final String EDITOR_JAVA_KEYWORD_BOLD

  A named preference that controls whether keywords are rendered in bold.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_JAVA_KEYWORD_ITALIC

    public static final String EDITOR_JAVA_KEYWORD_ITALIC

  A named preference that controls whether keywords are rendered in italic.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_STRING_COLOR

    public static final String EDITOR_STRING_COLOR

  A named preference that holds the color used to render string constants.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_STRING_BOLD

    public static final String EDITOR_STRING_BOLD

  A named preference that controls whether string constants are rendered in bold.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_STRING_ITALIC

    public static final String EDITOR_STRING_ITALIC

  A named preference that controls whether string constants are rendered in italic.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_JAVA_METHOD_NAME_COLOR

    public static final String EDITOR_JAVA_METHOD_NAME_COLOR

  A named preference that holds the color used to render method names.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  Since:
    3.0
  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_JAVA_METHOD_NAME_BOLD

    public static final String EDITOR_JAVA_METHOD_NAME_BOLD

  A named preference that controls whether method names are rendered in bold.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_JAVA_METHOD_NAME_ITALIC

    public static final String EDITOR_JAVA_METHOD_NAME_ITALIC

  A named preference that controls whether method names are rendered in italic.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_JAVA_KEYWORD_RETURN_COLOR

    public static final String EDITOR_JAVA_KEYWORD_RETURN_COLOR

  A named preference that holds the color used to render the 'return' keyword.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  Since:
    3.0
  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_JAVA_KEYWORD_RETURN_BOLD

    public static final String EDITOR_JAVA_KEYWORD_RETURN_BOLD

  A named preference that controls whether 'return' keyword is rendered in bold.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_JAVA_KEYWORD_RETURN_ITALIC

    public static final String EDITOR_JAVA_KEYWORD_RETURN_ITALIC

  A named preference that controls whether 'return' keyword is rendered in italic.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_JAVA_OPERATOR_COLOR

    public static final String EDITOR_JAVA_OPERATOR_COLOR

  A named preference that holds the color used to render operators and brackets.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  Since:
    3.0
  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_JAVA_OPERATOR_BOLD

    public static final String EDITOR_JAVA_OPERATOR_BOLD

  A named preference that controls whether operators and brackets are rendered in bold.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_JAVA_OPERATOR_ITALIC

    public static final String EDITOR_JAVA_OPERATOR_ITALIC

  A named preference that controls whether operators and brackets are rendered in italic.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_JAVA_DEFAULT_COLOR

    public static final String EDITOR_JAVA_DEFAULT_COLOR

  A named preference that holds the color used to render java default text.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_JAVA_DEFAULT_BOLD

    public static final String EDITOR_JAVA_DEFAULT_BOLD

  A named preference that controls whether Java default text is rendered in bold.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_JAVA_DEFAULT_ITALIC

    public static final String EDITOR_JAVA_DEFAULT_ITALIC

  A named preference that controls whether Java default text is rendered in italic.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_TASK_TAG_COLOR

    public static final String EDITOR_TASK_TAG_COLOR

  A named preference that holds the color used to render task tags.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  Since:
    2.1
  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_TASK_TAG_BOLD

    public static final String EDITOR_TASK_TAG_BOLD

  A named preference that controls whether task tags are rendered in bold.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_TASK_TAG_ITALIC

    public static final String EDITOR_TASK_TAG_ITALIC

  A named preference that controls whether task tags are rendered in italic.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_JAVADOC_KEYWORD_COLOR

    public static final String EDITOR_JAVADOC_KEYWORD_COLOR

  A named preference that holds the color used to render javadoc keywords.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_JAVADOC_KEYWORD_BOLD

    public static final String EDITOR_JAVADOC_KEYWORD_BOLD

  A named preference that controls whether javadoc keywords are rendered in bold.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_JAVADOC_KEYWORD_ITALIC

    public static final String EDITOR_JAVADOC_KEYWORD_ITALIC

  A named preference that controls whether javadoc keywords are rendered in italic.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_JAVADOC_TAG_COLOR

    public static final String EDITOR_JAVADOC_TAG_COLOR

  A named preference that holds the color used to render javadoc tags.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_JAVADOC_TAG_BOLD

    public static final String EDITOR_JAVADOC_TAG_BOLD

  A named preference that controls whether javadoc tags are rendered in bold.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_JAVADOC_TAG_ITALIC

    public static final String EDITOR_JAVADOC_TAG_ITALIC

  A named preference that controls whether javadoc tags are rendered in italic.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_JAVADOC_LINKS_COLOR

    public static final String EDITOR_JAVADOC_LINKS_COLOR

  A named preference that holds the color used to render javadoc links.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_JAVADOC_LINKS_BOLD

    public static final String EDITOR_JAVADOC_LINKS_BOLD

  A named preference that controls whether javadoc links are rendered in bold.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_JAVADOC_LINKS_ITALIC

    public static final String EDITOR_JAVADOC_LINKS_ITALIC

  A named preference that controls whether javadoc links are rendered in italic.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_JAVADOC_DEFAULT_COLOR

    public static final String EDITOR_JAVADOC_DEFAULT_COLOR

  A named preference that holds the color used to render javadoc default text.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_JAVADOC_DEFAULT_BOLD

    public static final String EDITOR_JAVADOC_DEFAULT_BOLD

  A named preference that controls whether javadoc default text is rendered in bold.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_JAVADOC_DEFAULT_ITALIC

    public static final String EDITOR_JAVADOC_DEFAULT_ITALIC

  A named preference that controls whether javadoc default text is rendered in italic.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_LINK_COLOR

    public static final String EDITOR_LINK_COLOR

  A named preference that holds the color used for 'linked-mode' underline.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  Since:
    2.1
  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_SHOW_HOVER

    public static final String EDITOR_SHOW_HOVER

  A named preference that controls whether hover tool tips in the editor are turned on or off.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_NONE_HOVER

    public static final String EDITOR_NONE_HOVER

  Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`

  A named preference that defines the hover shown when no control key is pressed.

  Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID` or `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

  Since:
    2.1
  See Also:
    `EDITOR_NO_HOVER_CONFIGURED_ID`, `EDITOR_DEFAULT_HOVER_CONFIGURED_ID`, `JavaUI`, Constant Field Values

### EDITOR_CTRL_HOVER

    public static final String EDITOR_CTRL_HOVER

  Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`

  A named preference that defines the hover shown when the `CTRL` modifier key is pressed.

  Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID` or `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

  Since:
    2.1
  See Also:
    `EDITOR_NO_HOVER_CONFIGURED_ID`, `EDITOR_DEFAULT_HOVER_CONFIGURED_ID`, `JavaUI`, Constant Field Values

### EDITOR_SHIFT_HOVER

    public static final String EDITOR_SHIFT_HOVER

  Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`

  A named preference that defines the hover shown when the `SHIFT` modifier key is pressed.

  Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID` or `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

  Since:
    2.1
  See Also:
    `EDITOR_NO_HOVER_CONFIGURED_ID`, `EDITOR_DEFAULT_HOVER_CONFIGURED_ID`, `ID_*_HOVER`, Constant Field Values

### EDITOR_CTRL_ALT_HOVER

    public static final String EDITOR_CTRL_ALT_HOVER

  Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`

  A named preference that defines the hover shown when the `CTRL + ALT` modifier keys is pressed.

  Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID` or `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

  Since:
    2.1
  See Also:
    `EDITOR_NO_HOVER_CONFIGURED_ID`, `EDITOR_DEFAULT_HOVER_CONFIGURED_ID`, `ID_*_HOVER`, Constant Field Values

### EDITOR_CTRL_ALT_SHIFT_HOVER

    public static final String EDITOR_CTRL_ALT_SHIFT_HOVER

  Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`

  A named preference that defines the hover shown when the `CTRL + ALT + SHIFT` modifier keys is pressed.

  Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID` or `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

  Since:
    2.1
  See Also:
    `EDITOR_NO_HOVER_CONFIGURED_ID`, `EDITOR_DEFAULT_HOVER_CONFIGURED_ID`, `ID_*_HOVER`, Constant Field Values

### EDITOR_CTRL_SHIFT_HOVER

    public static final String EDITOR_CTRL_SHIFT_HOVER

  Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`

  A named preference that defines the hover shown when the `CTRL + SHIFT` modifier keys is pressed.

  Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID` or `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

  Since:
    2.1
  See Also:
    `EDITOR_NO_HOVER_CONFIGURED_ID`, `EDITOR_DEFAULT_HOVER_CONFIGURED_ID`, `ID_*_HOVER`, Constant Field Values

### EDITOR_ALT_SHIFT_HOVER

    public static final String EDITOR_ALT_SHIFT_HOVER

  Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`

  A named preference that defines the hover shown when the `ALT` modifier key is pressed.

  Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID`, `EDITOR_DEFAULT_HOVER_CONFIGURED_ID` or the hover id of a hover contributed as `javaEditorTextHovers`.

  Since:
    2.1
  See Also:
    `EDITOR_NO_HOVER_CONFIGURED_ID`, `EDITOR_DEFAULT_HOVER_CONFIGURED_ID`, `ID_*_HOVER`, Constant Field Values

### EDITOR_NO_HOVER_CONFIGURED_ID

    public static final String EDITOR_NO_HOVER_CONFIGURED_ID

  Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`

  A string value used by the named preferences for hover configuration to describe that no hover should be shown for the given key modifiers.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_DEFAULT_HOVER_CONFIGURED_ID

    public static final String EDITOR_DEFAULT_HOVER_CONFIGURED_ID

  Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`

  A string value used by the named preferences for hover configuration to describe that the default hover should be shown for the given key modifiers. The default hover is described by the `EDITOR_DEFAULT_HOVER` property.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_DEFAULT_HOVER

    public static final String EDITOR_DEFAULT_HOVER

  Deprecated. As of 3.0, replaced by `EDITOR_TEXT_HOVER_MODIFIERS`

  A named preference that defines the hover named the 'default hover'. Value is of type `String`: possible values are `EDITOR_NO_HOVER_CONFIGURED_ID` or `the hover id of a hover contributed as `javaEditorTextHovers`.

  Since:
    2.1
  See Also:
    Constant Field Values
  `

### EDITOR_SHOW_SEGMENTS

    public static final String EDITOR_SHOW_SEGMENTS

  A named preference that controls if segmented view (show selected element only) is turned on or off.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### EDITOR_BROWSER_LIKE_LINKS

    public static final String EDITOR_BROWSER_LIKE_LINKS

  A named preference that controls if browser like links are turned on or off.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_BROWSER_LIKE_LINKS_KEY_MODIFIER

    public static final String EDITOR_BROWSER_LIKE_LINKS_KEY_MODIFIER

  A named preference that controls the key modifier for browser like links.

  Value is of type `String`.

  Since:
    2.1
  See Also:
    Constant Field Values

### EDITOR_BROWSER_LIKE_LINKS_KEY_MODIFIER_MASK

    public static final String EDITOR_BROWSER_LIKE_LINKS_KEY_MODIFIER_MASK

  A named preference that controls the key modifier mask for browser like links. The value is only used if the value of `EDITOR_BROWSER_LIKE_LINKS` cannot be resolved to valid SWT modifier bits.

  Value is of type `String`.

  Since:
    2.1.1
  See Also:
    `EDITOR_BROWSER_LIKE_LINKS_KEY_MODIFIER`, Constant Field Values

### EDITOR_MARK_OCCURRENCES

    public static final String EDITOR_MARK_OCCURRENCES

  A named preference that controls whether occurrences are marked in the editor.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_STICKY_OCCURRENCES

    public static final String EDITOR_STICKY_OCCURRENCES

  A named preference that controls whether occurrences are sticky in the editor.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_MARK_TYPE_OCCURRENCES

    public static final String EDITOR_MARK_TYPE_OCCURRENCES

  A named preference that controls whether type occurrences are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_MARK_METHOD_OCCURRENCES

    public static final String EDITOR_MARK_METHOD_OCCURRENCES

  A named preference that controls whether method occurrences are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_MARK_FIELD_OCCURRENCES

    public static final String EDITOR_MARK_FIELD_OCCURRENCES

  A named preference that controls whether non-constant field occurrences are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_MARK_CONSTANT_OCCURRENCES

    public static final String EDITOR_MARK_CONSTANT_OCCURRENCES

  A named preference that controls whether constant (static final) occurrences are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_MARK_LOCAL_VARIABLE_OCCURRENCES

    public static final String EDITOR_MARK_LOCAL_VARIABLE_OCCURRENCES

  A named preference that controls whether local variable occurrences are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_MARK_EXCEPTION_OCCURRENCES

    public static final String EDITOR_MARK_EXCEPTION_OCCURRENCES

  A named preference that controls whether exception occurrences are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_MARK_METHOD_EXIT_POINTS

    public static final String EDITOR_MARK_METHOD_EXIT_POINTS

  A named preference that controls whether method exit points are marked. Only valid if `EDITOR_MARK_OCCURRENCES` is `true`.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_SEMANTIC_HIGHLIGHTING_PREFIX

    public static final String EDITOR_SEMANTIC_HIGHLIGHTING_PREFIX

  A named preference prefix for semantic highlighting preferences.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_SEMANTIC_HIGHLIGHTING_ENABLED

    public static final String EDITOR_SEMANTIC_HIGHLIGHTING_ENABLED

  A named preference that controls if semantic highlighting is enabled.

  Value is of type `Boolean`: `true` if enabled.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_SEMANTIC_HIGHLIGHTING_COLOR_SUFFIX

    public static final String EDITOR_SEMANTIC_HIGHLIGHTING_COLOR_SUFFIX

  A named preference suffix that controls a semantic highlighting's color.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  Since:
    3.0
  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### EDITOR_SEMANTIC_HIGHLIGHTING_BOLD_SUFFIX

    public static final String EDITOR_SEMANTIC_HIGHLIGHTING_BOLD_SUFFIX

  A named preference suffix that controls if semantic highlighting has the text attribute bold.

  Value is of type `Boolean`: `true` if bold.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_SEMANTIC_HIGHLIGHTING_ITALIC_SUFFIX

    public static final String EDITOR_SEMANTIC_HIGHLIGHTING_ITALIC_SUFFIX

  A named preference suffix that controls if semantic highlighting has the text attribute italic.

  Value is of type `Boolean`: `true` if italic.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_SEMANTIC_HIGHLIGHTING_ENABLED_SUFFIX

    public static final String EDITOR_SEMANTIC_HIGHLIGHTING_ENABLED_SUFFIX

  A named preference suffix that controls if semantic highlighting is enabled.

  Value is of type `Boolean`: `true` if enabled.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_DISABLE_OVERWRITE_MODE

    public static final String EDITOR_DISABLE_OVERWRITE_MODE

  A named preference that controls disabling of the overwrite mode.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_SMART_SEMICOLON

    public static final String EDITOR_SMART_SEMICOLON

  A named preference that controls the "smart semicolon" smart typing handler.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_SMART_BACKSPACE

    public static final String EDITOR_SMART_BACKSPACE

  A named preference that controls the smart backspace behavior.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_SMART_OPENING_BRACE

    public static final String EDITOR_SMART_OPENING_BRACE

  A named preference that controls the "smart opening brace" smart typing handler.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_SMART_TAB

    public static final String EDITOR_SMART_TAB

  A named preference that controls the smart tab behavior.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### SPELLING_CHECK_SPELLING

    public static final String SPELLING_CHECK_SPELLING

  A named preference that controls whether Java comments should be spell-checked.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### SPELLING_IGNORE_DIGITS

    public static final String SPELLING_IGNORE_DIGITS

  A named preference that controls whether words containing digits should be skipped during spell-checking.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### SPELLING_IGNORE_MIXED

    public static final String SPELLING_IGNORE_MIXED

  A named preference that controls whether mixed case words should be skipped during spell-checking.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### SPELLING_IGNORE_SENTENCE

    public static final String SPELLING_IGNORE_SENTENCE

  A named preference that controls whether sentence capitalization should be ignored during spell-checking.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### SPELLING_IGNORE_UPPER

    public static final String SPELLING_IGNORE_UPPER

  A named preference that controls whether upper case words should be skipped during spell-checking.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### SPELLING_IGNORE_URLS

    public static final String SPELLING_IGNORE_URLS

  A named preference that controls whether URLs should be ignored during spell-checking.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### SPELLING_LOCALE

    public static final String SPELLING_LOCALE

  A named preference that controls the locale used for spell-checking.

  Value is of type `String`.

  Since:
    3.0
  See Also:
    Constant Field Values

### SPELLING_PROPOSAL_THRESHOLD

    public static final String SPELLING_PROPOSAL_THRESHOLD

  A named preference that controls the number of proposals offered during spell-checking.

  Value is of type `Integer`.

  Since:
    3.0
  See Also:
    Constant Field Values

### SPELLING_USER_DICTIONARY

    public static final String SPELLING_USER_DICTIONARY

  A named preference that specifies the workspace user dictionary.

  Value is of type `Integer`.

  Since:
    3.0
  See Also:
    Constant Field Values

### SPELLING_ENABLE_CONTENTASSIST

    public static final String SPELLING_ENABLE_CONTENTASSIST

  A named preference that specifies whether spelling dictionaries are available to content assist.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_COMMENT_FORMATSOURCE

    public static final String FORMATTER_COMMENT_FORMATSOURCE

  A named preference that controls whether code snippets are formatted in Javadoc comments.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_COMMENT_INDENTPARAMETERDESCRIPTION

    public static final String FORMATTER_COMMENT_INDENTPARAMETERDESCRIPTION

  A named preference that controls whether description of Javadoc parameters are indented.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_COMMENT_FORMATHEADER

    public static final String FORMATTER_COMMENT_FORMATHEADER

  A named preference that controls whether the header comment of a Java source file is formatted.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_COMMENT_INDENTROOTTAGS

    public static final String FORMATTER_COMMENT_INDENTROOTTAGS

  A named preference that controls whether Javadoc root tags are indented.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_COMMENT_FORMAT

    public static final String FORMATTER_COMMENT_FORMAT

  A named preference that controls whether Javadoc comments are formatted by the content formatter.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_COMMENT_NEWLINEFORPARAMETER

    public static final String FORMATTER_COMMENT_NEWLINEFORPARAMETER

  A named preference that controls whether a new line is inserted after Javadoc root tag parameters.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_COMMENT_SEPARATEROOTTAGS

    public static final String FORMATTER_COMMENT_SEPARATEROOTTAGS

  A named preference that controls whether an empty line is inserted before the Javadoc root tag block.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_COMMENT_CLEARBLANKLINES

    public static final String FORMATTER_COMMENT_CLEARBLANKLINES

  A named preference that controls whether blank lines are cleared during formatting.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_COMMENT_LINELENGTH

    public static final String FORMATTER_COMMENT_LINELENGTH

  A named preference that controls the line length of comments.

  Value is of type `Integer`. The value must be at least 4 for reasonable formatting.

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_COMMENT_FORMATHTML

    public static final String FORMATTER_COMMENT_FORMATHTML

  A named preference that controls whether HTML tags are formatted.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### CODEASSIST_AUTOACTIVATION

    public static final String CODEASSIST_AUTOACTIVATION

  A named preference that controls if the Java code assist gets auto activated.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### CODEASSIST_AUTOACTIVATION_DELAY

    public static final String CODEASSIST_AUTOACTIVATION_DELAY

  A name preference that holds the auto activation delay time in milliseconds.

  Value is of type `Integer`.

  See Also:
    Constant Field Values

### CODEASSIST_SHOW_VISIBLE_PROPOSALS

    public static final String CODEASSIST_SHOW_VISIBLE_PROPOSALS

  A named preference that controls if code assist contains only visible proposals.

  Value is of type `Boolean`. if `true`code assist only contains visible members. If `false` all members are included.``

  See Also:
    Constant Field Values

### CODEASSIST_AUTOINSERT

    public static final String CODEASSIST_AUTOINSERT

  A named preference that controls if the Java code assist inserts a proposal automatically if only one proposal is available.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### CODEASSIST_ADDIMPORT

    public static final String CODEASSIST_ADDIMPORT

  A named preference that controls if the Java code assist adds import statements.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### CODEASSIST_INSERT_COMPLETION

    public static final String CODEASSIST_INSERT_COMPLETION

  A named preference that controls if the Java code assist only inserts completions. If set to false the proposals can also _replace_ code.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### CODEASSIST_CASE_SENSITIVITY

    public static final String CODEASSIST_CASE_SENSITIVITY

  A named preference that controls whether code assist proposals filtering is case sensitive or not.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### CODEASSIST_ORDER_PROPOSALS

    public static final String CODEASSIST_ORDER_PROPOSALS

  A named preference that defines if code assist proposals are sorted in alphabetical order.

  Value is of type `Boolean`. If `true` that are sorted in alphabetical order. If `false` that are unsorted.

  See Also:
    Constant Field Values

### CODEASSIST_FILL_ARGUMENT_NAMES

    public static final String CODEASSIST_FILL_ARGUMENT_NAMES

  A named preference that controls if argument names are filled in when a method is selected from as list of code assist proposal.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### CODEASSIST_GUESS_METHOD_ARGUMENTS

    public static final String CODEASSIST_GUESS_METHOD_ARGUMENTS

  A named preference that controls if method arguments are guessed when a method is selected from as list of code assist proposal.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### CODEASSIST_AUTOACTIVATION_TRIGGERS_JAVA

    public static final String CODEASSIST_AUTOACTIVATION_TRIGGERS_JAVA

  A named preference that holds the characters that auto activate code assist in Java code.

  Value is of type `String`. All characters that trigger auto code assist in Java code.

  See Also:
    Constant Field Values

### CODEASSIST_AUTOACTIVATION_TRIGGERS_JAVADOC

    public static final String CODEASSIST_AUTOACTIVATION_TRIGGERS_JAVADOC

  A named preference that holds the characters that auto activate code assist in Javadoc.

  Value is of type `String`. All characters that trigger auto code assist in Javadoc.

  See Also:
    Constant Field Values

### CODEASSIST_PROPOSALS_BACKGROUND

    public static final String CODEASSIST_PROPOSALS_BACKGROUND

  A named preference that holds the background color used in the code assist selection dialog.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### CODEASSIST_PROPOSALS_FOREGROUND

    public static final String CODEASSIST_PROPOSALS_FOREGROUND

  A named preference that holds the foreground color used in the code assist selection dialog.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### CODEASSIST_PARAMETERS_BACKGROUND

    public static final String CODEASSIST_PARAMETERS_BACKGROUND

  A named preference that holds the background color used for parameter hints.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### CODEASSIST_PARAMETERS_FOREGROUND

    public static final String CODEASSIST_PARAMETERS_FOREGROUND

  A named preference that holds the foreground color used in the code assist selection dialog.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### CODEASSIST_REPLACEMENT_BACKGROUND

    public static final String CODEASSIST_REPLACEMENT_BACKGROUND

  A named preference that holds the background color used in the code assist selection dialog to mark replaced code.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  Since:
    2.1
  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### CODEASSIST_REPLACEMENT_FOREGROUND

    public static final String CODEASSIST_REPLACEMENT_FOREGROUND

  A named preference that holds the foreground color used in the code assist selection dialog to mark replaced code.

  Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

  Since:
    2.1
  See Also:
    `StringConverter`, `PreferenceConverter`, Constant Field Values

### REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD

    public static final String REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD

  Deprecated. Use method `RefactoringCore.getConditionCheckingFailedSeverity()`.

  A named preference that controls the behavior of the refactoring wizard for showing the error page.

  Value is of type `String`. Valid values are: `REFACTOR_FATAL_SEVERITY`, `REFACTOR_ERROR_SEVERITY`, `REFACTOR_WARNING_SEVERITY` `REFACTOR_INFO_SEVERITY`, `REFACTOR_OK_SEVERITY`.

  See Also:
    `REFACTOR_FATAL_SEVERITY`, `REFACTOR_ERROR_SEVERITY`, `REFACTOR_WARNING_SEVERITY`, `REFACTOR_INFO_SEVERITY`, `REFACTOR_OK_SEVERITY`, Constant Field Values

### REFACTOR_FATAL_SEVERITY

    public static final String REFACTOR_FATAL_SEVERITY

  Deprecated. Use constant `RefactoringStatus.FATAL`

  A string value used by the named preference `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`.

  See Also:
    `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`, Constant Field Values

### REFACTOR_ERROR_SEVERITY

    public static final String REFACTOR_ERROR_SEVERITY

  Deprecated. Use constant `RefactoringStatus.ERROR`

  A string value used by the named preference `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`.

  See Also:
    `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`, Constant Field Values

### REFACTOR_WARNING_SEVERITY

    public static final String REFACTOR_WARNING_SEVERITY

  Deprecated. Use constant `RefactoringStatus.WARNING`

  A string value used by the named preference `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`.

  See Also:
    `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`, Constant Field Values

### REFACTOR_INFO_SEVERITY

    public static final String REFACTOR_INFO_SEVERITY

  Deprecated. Use constant `RefactoringStatus.INFO`

  A string value used by the named preference `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`.

  See Also:
    `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`, Constant Field Values

### REFACTOR_OK_SEVERITY

    public static final String REFACTOR_OK_SEVERITY

  Deprecated. Use constant `RefactoringStatus.OK`

  A string value used by the named preference `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`.

  See Also:
    `REFACTOR_ERROR_PAGE_SEVERITY_THRESHOLD`, Constant Field Values

### REFACTOR_SAVE_ALL_EDITORS

    public static final String REFACTOR_SAVE_ALL_EDITORS

  A named preference that controls whether all dirty editors are automatically saved before a refactoring is executed.

  Value is of type `Boolean`.

  See Also:
    Constant Field Values

### SEARCH_USE_REDUCED_MENU

    public static final String SEARCH_USE_REDUCED_MENU

  A named preference that controls a reduced search menu is used in the Java editors.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### BROWSING_LINK_VIEW_TO_EDITOR

    public static final String BROWSING_LINK_VIEW_TO_EDITOR

  A named preference that controls if the Java Browsing views are linked to the active editor.

  Value is of type `Boolean`.

  See Also:
    `LINK_PACKAGES_TO_EDITOR`, Constant Field Values

### BROWSING_STACK_VERTICALLY

    public static final String BROWSING_STACK_VERTICALLY

  A named preference that controls the layout of the Java Browsing views vertically. Boolean value.

  Value is of type `Boolean`. If `true`the views are stacked vertical. If `false` they are stacked horizontal.``

  See Also:
    Constant Field Values

### TEMPLATES_USE_CODEFORMATTER

    public static final String TEMPLATES_USE_CODEFORMATTER

  A named preference that controls if templates are formatted when applied.

  Value is of type `Boolean`.

  Since:
    2.1
  See Also:
    Constant Field Values

### FORMATTER_PROFILE

    public static final String FORMATTER_PROFILE

  A named preference that controls which profile is used by the code formatter.

  Value is of type `String`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_ANNOTATION_ROLL_OVER

    public static final String EDITOR_ANNOTATION_ROLL_OVER

  A named preference that controls whether annotation roll over is used or not.

  Value is of type `Boolean`. If `true`the annotation ruler column uses a roll over to display multiple annotations``

  Since:
    3.0
  See Also:
    Constant Field Values

### CODEASSIST_PREFIX_COMPLETION

    public static final String CODEASSIST_PREFIX_COMPLETION

  A named preference that controls if content assist inserts the common prefix of all proposals before presenting choices.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_FOLDING_ENABLED

    public static final String EDITOR_FOLDING_ENABLED

  A named preference that controls whether folding is enabled in the Java editor.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_FOLDING_PROVIDER

    public static final String EDITOR_FOLDING_PROVIDER

  A named preference that stores the configured folding provider.

  Value is of type `String`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_FOLDING_JAVADOC

    public static final String EDITOR_FOLDING_JAVADOC

  A named preference that stores the value for Javadoc folding for the default folding provider.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_FOLDING_INNERTYPES

    public static final String EDITOR_FOLDING_INNERTYPES

  A named preference that stores the value for inner type folding for the default folding provider.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_FOLDING_METHODS

    public static final String EDITOR_FOLDING_METHODS

  A named preference that stores the value for method folding for the default folding provider.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

### EDITOR_FOLDING_IMPORTS

    public static final String EDITOR_FOLDING_IMPORTS

  A named preference that stores the value for imports folding for the default folding provider.

  Value is of type `Boolean`.

  Since:
    3.0
  See Also:
    Constant Field Values

Method Detail

### initializeDefaultValues

    public static void initializeDefaultValues(IPreferenceStore store)

  Initializes the given preference store with the default values.

  Parameters:
    `store` - the preference store to be initialized
  Since:
    2.1

### getPreferenceStore

    public static IPreferenceStore getPreferenceStore()

  Returns the JDT-UI preference store.

  Returns:
    the JDT-UI preference store

### encodeJRELibrary

    public static String encodeJRELibrary(String description,
                                          IClasspathEntry[] entries)

  Encodes a JRE library to be used in the named preference `NEWPROJECT_JRELIBRARY_LIST`.

  Parameters:
    `description` - a string value describing the JRE library. The description is used to identify the JDR library in the UI
    `entries` - an array of classpath entries to be encoded
  Returns:
    the encoded string.

### decodeJRELibraryDescription

    public static String decodeJRELibraryDescription(String encodedLibrary)

  Decodes an encoded JRE library and returns its description string.

  Parameters:
    `encodedLibrary` - the encoded library
  Returns:
    the description of an encoded JRE library
  See Also:
    `encodeJRELibrary(String, IClasspathEntry[])`

### decodeJRELibraryClasspathEntries

    public static IClasspathEntry[] decodeJRELibraryClasspathEntries(String encodedLibrary)

  Decodes an encoded JRE library and returns its class path entries.

  Parameters:
    `encodedLibrary` - the encoded library
  Returns:
    the array of classpath entries of an encoded JRE library.
  See Also:
    `encodeJRELibrary(String, IClasspathEntry[])`

### getDefaultJRELibrary

    public static IClasspathEntry[] getDefaultJRELibrary()

  Returns the current configuration for the JRE to be used as default in new Java projects. This is a convenience method to access the named preference `NEWPROJECT_JRELIBRARY_LIST` with the index defined by `NEWPROJECT_JRELIBRARY_INDEX`.

  Returns:
    the current default set of class path entries
  See Also:
    `NEWPROJECT_JRELIBRARY_LIST`, `NEWPROJECT_JRELIBRARY_INDEX`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.